Bug 1839500 - Review Request: golang-github-valyala-tcplisten - Customizable TCP Listener
Summary: Review Request: golang-github-valyala-tcplisten - Customizable TCP Listener
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1839503
TreeView+ depends on / blocked
 
Reported: 2020-05-24 12:29 UTC by Fabian Affolter
Modified: 2020-07-09 01:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-09 01:05:15 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-05-24 12:29:50 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-valyala-tcplisten.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-valyala-tcplisten-0-0.1.20200524gitceec8f9.fc31.src.rpm

Project URL: https://github.com/valyala/tcplisten

Description:
Customizable TCP net.-Listener for Go.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=44901551

rpmlint output:
$ rpmlint golang-github-valyala-tcplisten-0-0.1.20200524gitceec8f9.fc31.src.rpm
golang-github-valyala-tcplisten.src: W: spelling-error Summary(en_US) Customizable -> Customization
golang-github-valyala-tcplisten.src: W: spelling-error %description -l en_US Customizable -> Customization
golang-github-valyala-tcplisten.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint golang-github-valyala-tcplisten-devel-0-0.1.20200524gitceec8f9.fc31.noarch.rpm 
golang-github-valyala-tcplisten-devel.noarch: W: spelling-error Summary(en_US) Customizable -> Customization
golang-github-valyala-tcplisten-devel.noarch: W: spelling-error %description -l en_US Customizable -> Customization
golang-github-valyala-tcplisten-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/valyala/tcplisten/.goipath
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-26 09:40:22 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-26 13:32:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-valyala-tcplisten

Comment 3 Fedora Update System 2020-06-30 12:51:08 UTC
FEDORA-2020-884ca47b9a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-884ca47b9a

Comment 4 Fedora Update System 2020-07-01 02:19:12 UTC
FEDORA-2020-884ca47b9a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-884ca47b9a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-884ca47b9a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-07-09 01:05:15 UTC
FEDORA-2020-884ca47b9a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.